﻿using System.Collections.Generic;
using System.Linq;
using Infragistics.Olap;

namespace OlapAxisWithXMLA
{
    public class FilterViewModelBaseExt : FilterViewModelBase
    {

        /// <summary>
        /// 
        /// </summary>
        public FilterViewModelBaseExt()
        {

        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="viewModel"></param>
        /// <param name="provider"></param>
        /// <param name="cube"></param>
        /// <param name="hierarchy"></param>
        public FilterViewModelBaseExt(IOlapViewModel viewModel, IDataProvider provider, Infragistics.Olap.Data.ICube cube, Infragistics.Olap.Data.IHierarchy hierarchy)
            : base(viewModel, provider, cube, hierarchy)
        {

        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="members"></param>
        /// <param name="parent"></param>
        /// <returns></returns>
        protected override System.Collections.ObjectModel.ObservableCollection<Infragistics.Olap.Data.IFilterMember> GenerateFilterMembers(
            IEnumerable<Infragistics.Olap.Data.IMember> members,
            Infragistics.Olap.Data.IFilterMember parent)
        {
            var retVal = base.GenerateFilterMembers(members, parent);
            return retVal;
        }

        private object _userData;

        /// <summary>
        /// 
        /// </summary>
        public object UserData
        {
            get { return _userData; }
            set
            {
                _userData = value;
                OnPropertyChanged("UserData");
            }
        }

        private string _unitCode;

        /// <summary>
        /// 
        /// </summary>
        public string UnitCode
        {
            get { return _unitCode; }
            set
            {
                _unitCode = value;
                OnPropertyChanged("UnitCode");
            }
        }
    }
}
